//	photocontrol client
//	see http://photocontrol.net for more information
//
//	Copyright (C) 2009  Wolfgang König
//
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.


#import <UIKit/UIKit.h>
#import "ConnectionManager.h"
#import "SimpleCocoaClient.h"
#import "PhotoViewController.h"

@interface DirectoryViewController : UITableViewController {
	
	NSArray *subDirectories;
	NSArray *pictures;
	NSString *currentDirectory;
	NSString *currentDirectoryName;
	NSArray *picturesOfCurrentDirectory;
	int imageCount;
	
	NSTimer *reloadDirectoriesTimer;
	
	DirectoryViewController *dirViewController;
	PhotoViewController *cvc;
	
	BOOL noSubDirectories;
	NSTimer *getPicturesTimer;
	
	int nothingReceivedCounter;
}

@property (nonatomic, retain) NSArray *subDirectories;
@property (nonatomic, retain) NSArray *pictures;
@property (nonatomic, retain) NSString *currentDirectory;
@property (nonatomic, retain) NSString *currentDirectoryName;
@property (nonatomic, retain) NSArray *picturesOfCurrentDirectory;
@property (nonatomic, retain) DirectoryViewController *dirViewController;
@property (nonatomic, retain) PhotoViewController *cvc;
@property int nothingReceivedCounter;

- (void) handleTimer: (NSTimer *) timer;
- (void)refresh;

@end
